# Corpus
Aquest bot desa els missatges públics dels usuaris d'un servidor Mastodon que si donin d'alta. En qualsevol moment poden donar-se de baixa.  
Al demanar l'alta en aquest bot, s'accepta cedir tots els tuts públics que s'escriguin, amb llicència CC0. Al fer-ho, es permet alimentar, amb frases en català, projectes lingüístics com per exemple Common Voice.

### Dependències

-   **Python 3**
-   Servidor Postgresql
-   Un compte Mastodon per aquest bot

### Com instal·lar aquest bot

Dins del entorn virtual Python:

1. Executar `pip install -r requirements.txt` per a instal·lar les llibreries necessàries.

2. Executar `python corpus.py` per a fer la configuració inicial del bot de Mastodon i per a crear la base de dades Postgresql on desar els missatges públics.  

3. Configurar cron per a que executi `python corpus.py` cada minut.  

### Com donar-se d'alta o de baixa  

Demanar-ho al bot, mencionant-lo:

@bot alta  
@bot baixa

També es poden esborrar tots els missatges que el bot tingui d'un usuari concret. Només cal fer:  

@bot esborra

